Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ObservationTable< xSize, ySize, cellSize, pointRes > Class Template Reference

The class realizes a table of closest distances to lines of a certain type. More...

`#include <LinesTables2004.h>`

Inheritance diagram for ObservationTable< xSize, ySize, cellSize, pointRes >:

[legend]
Collaboration diagram for ObservationTable< xSize, ySize, cellSize, pointRes >:

[legend]
List of all members.

## Public Member Functions
void | create (const Field &field, LinesPercept::LineType type)
Vector2< double > | getClosestPoint (const Vector2< double > &v) const
void | draw ()
void | write (Out &stream) const
| The function writes the contents of an object to a stream.
void | read (In &stream)
| The function reads the contents of an object from a stream.
## Private Attributes
char | point [ySize][xSize][2]

## Detailed Description

### template<int xSize, int ySize, int cellSize, int pointRes>
class ObservationTable< xSize, ySize, cellSize, pointRes >

The class realizes a table of closest distances to lines of a certain type.

Definition at line 41 of file LinesTables2004.h.

## Member Function Documentation

template<int xSize, int ySize, int cellSize, int pointRes>
void ObservationTable< xSize, ySize, cellSize, pointRes >::create | ( | const Field & | field,
|  | LinesPercept::LineType | type
| ) | `[inline]`

| Definition at line 47 of file LinesTables2004.h. Referenced by LinesTables2004::LinesTables2004(), and LinesTables2005::LinesTables2005().

template<int xSize, int ySize, int cellSize, int pointRes>
Vector2<double> ObservationTable< xSize, ySize, cellSize, pointRes >::getClosestPoint | ( | const Vector2< double > & | v | ) | const`[inline]`

| Definition at line 61 of file LinesTables2004.h.

template<int xSize, int ySize, int cellSize, int pointRes>
void ObservationTable< xSize, ySize, cellSize, pointRes >::draw | ( |  | ) | `[inline]`

| Definition at line 71 of file LinesTables2004.h.

template<int xSize, int ySize, int cellSize, int pointRes>
void ObservationTable< xSize, ySize, cellSize, pointRes >::write | ( | Out & | stream | ) | const`[inline, virtual]`

  | The function writes the contents of an object to a stream. Parameters:
  stream | The stream the data is written to.
Implements ObservationTableBase. Definition at line 98 of file LinesTables2004.h.

template<int xSize, int ySize, int cellSize, int pointRes>
void ObservationTable< xSize, ySize, cellSize, pointRes >::read | ( | In & | stream | ) | `[inline, virtual]`

  | The function reads the contents of an object from a stream. Parameters:
  stream | The stream the data is read from.
Implements ObservationTableBase. Definition at line 103 of file LinesTables2004.h.

## Member Data Documentation

template<int xSize, int ySize, int cellSize, int pointRes>
char ObservationTable< xSize, ySize, cellSize, pointRes >::point[ySize][xSize][2]`[private]`

| Definition at line 44 of file LinesTables2004.h.

The documentation for this class was generated from the following file:

- Modules/SelfLocator/LinesTables2004.h